//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Paw_park.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class Park
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Park()
        {
            this.Bookings = new HashSet<Booking>();
            this.Comments = new HashSet<Comment>();
            this.Equipments = new HashSet<Equipment>();
        }

        public int Id { get; set; }
        [Display(Name = "Pargi nimi")]
        public string Name { get; set; }
        [Display(Name = "Asukoht")]
        public string Location { get; set; }
        [Display(Name = "Tp")]
        public Nullable<int> Type { get; set; }
        [Display(Name = "Mahutavus")]
        public Nullable<int> Capacity { get; set; }
        [Display(Name = "Foto")]
        public Nullable<int> PictureId { get; set; }


        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Booking> Bookings { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Comment> Comments { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Equipment> Equipments { get; set; }
        public virtual DataFile DataFile { get; set; }
    }
}
